move post-installation notice from Makefile to separate INSTALL script so

it is displayed when this port is made into a package.
This commit is contained in:
brad 1999-10-07 19:49:50 +00:00
parent 7247c0e5b7
commit c72c618168
7 changed files with 150 additions and 17 deletions

View File

@ -1,4 +1,4 @@
# $OpenBSD: Makefile,v 1.6 1999/09/14 10:43:54 espie Exp $
# $OpenBSD: Makefile,v 1.7 1999/10/07 19:52:34 brad Exp $
DISTNAME= zsh-3.1.6
CATEGORIES= shells
@ -27,12 +27,6 @@ post-install:
${SED} -ne '1,/Menu:/p' /usr/share/info/dir > ${PREFIX}/info/dir; \
fi
@install-info ${PREFIX}/info/zsh.info ${PREFIX}/info/dir
@$(ECHO)
@$(ECHO) "Finished installing $(DISTNAME)"
@$(ECHO) "To complete the install, you should notify the system"
@$(ECHO) "that $(PREFIX)/bin/zsh is a valid shell by adding it to"
@$(ECHO) "/etc/shells."
@$(ECHO) "If you are unfamiliar with this file, consult the shells(5)"
@$(ECHO) "manual page."
@PKG_PREFIX="${PREFIX}" ${SH} ${PKGDIR}/INSTALL ${DISTNAME} POST-INSTALL
.include <bsd.port.mk>

View File

@ -0,0 +1,21 @@
# $OpenBSD: DEINSTALL,v 1.1 1999/10/07 19:52:34 brad Exp $
#
# zsh de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
if grep -q ${PREFIX}/bin/zsh /etc/shells; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to edit"
echo "| /etc/shells and remove this line:"
echo "|"
echo "| ${PREFIX}/bin/zsh"
echo "|"
echo "+---------------"
echo
fi
exit 0

View File

@ -0,0 +1,52 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 1999/10/07 19:52:35 brad Exp $
#
# Pre/post-installation setup of zsh
# Function: tell the user what s/he needs to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| For proper use of $1 you should notify the system"
echo "| that ${PREFIX}/bin/zsh is a valid shell by adding it to the"
echo "| the file /etc/shells. If you are unfamiliar with this file"
echo "| consult the shells(5) manual page"
echo "+---------------"
echo
}
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if grep -q ${PREFIX}/bin/zsh /etc/shells; then
:
else
do_notice $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,5 +1,4 @@
bin/zsh
@unexec echo "Don't forget to update /etc/shells"
bin/zsh-3.1.6
@unexec install-info --delete %D/info/zsh.info %D/info/dir
info/zsh.info

View File

@ -1,4 +1,4 @@
# $OpenBSD: Makefile,v 1.11 1999/09/14 10:43:53 espie Exp $
# $OpenBSD: Makefile,v 1.12 1999/10/07 19:49:50 brad Exp $
DISTNAME= zsh-3.0.6
CATEGORIES= shells
@ -27,12 +27,6 @@ post-install:
${SED} -ne '1,/Menu:/p' /usr/share/info/dir > ${PREFIX}/info/dir; \
fi
@install-info ${PREFIX}/info/zsh.info ${PREFIX}/info/dir
@$(ECHO)
@$(ECHO) "Finished installing $(DISTNAME)"
@$(ECHO) "To complete the install, you should notify the system"
@$(ECHO) "that $(PREFIX)/bin/zsh is a valid shell by adding it to"
@$(ECHO) "/etc/shells."
@$(ECHO) "If you are unfamiliar with this file, consult the shells(5)"
@$(ECHO) "manual page."
@PKG_PREFIX="${PREFIX}" ${SH} ${PKGDIR}/INSTALL ${DISTNAME} POST-INSTALL
.include <bsd.port.mk>

21
shells/zsh/pkg/DEINSTALL Normal file
View File

@ -0,0 +1,21 @@
# $OpenBSD: DEINSTALL,v 1.1 1999/10/07 19:49:51 brad Exp $
#
# zsh de-installation
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
if grep -q ${PREFIX}/bin/zsh /etc/shells; then
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to edit"
echo "| /etc/shells and remove this line:"
echo "|"
echo "| ${PREFIX}/bin/zsh"
echo "|"
echo "+---------------"
echo
fi
exit 0

52
shells/zsh/pkg/INSTALL Normal file
View File

@ -0,0 +1,52 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 1999/10/07 19:49:51 brad Exp $
#
# Pre/post-installation setup of zsh
# Function: tell the user what s/he needs to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| For proper use of $1 you should notify the system"
echo "| that ${PREFIX}/bin/zsh is a valid shell by adding it to the"
echo "| the file /etc/shells. If you are unfamiliar with this file"
echo "| consult the shells(5) manual page"
echo "+---------------"
echo
}
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if grep -q ${PREFIX}/bin/zsh /etc/shells; then
:
else
do_notice $1
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0